---
title: "Vorstellung: ansible-roler"
date: 2019-02-14T12:30:00+02:00
draft: false
author: robert-kaussow
description: "ansible-roler ist ein kleines Tool für die Kommandozeile zur Erstellung neuer Ansible Rollen. Das Programm erzeugt die empfohlene Ordnerstruktur und kann auf Wunsch auch Dateien aus einem Template erzeugen."
categories:
  - Open Source
  - Entwicklung
---

Wer viel mit Ansible arbeitet und gern eigene Rollen schreibt, wird schnell feststellen, dass das Anlegen der Ordnerstruktur und Dateien schnell zu einer äußerst nervigen Angelegenheit werden kann. Wer möchte, kann dafür auch auf [ansible-galaxy](https://docs.ansible.com/ansible/latest/reference_appendices/galaxy.html) zurückgreifen. Mir persönlich ist das Programm aber zu stark auf die Galaxy-Integration ausgerichtet und legt dadurch Dateien an, die für meinen Workflow unnötig sind. Da auch sonst keine brauchbare Alternative zu finden war, habe ich mich dafür entschieden, selbst ein kleines Helferlein zu schreiben.

`ansible-roler` ist ein in Python geschriebenes Tool für die Kommandozeile und bietet im Wesentlichen zwei Funktionen:

- Anlegen der empfohlenen Rollenstruktur
- Standarddateien aus einem Template erzeugen

Die Templatefunkion kann genutzt werden, um benötigte Dateien wie die `meta/main.yml` oder die Konfiguration für das verwendete CI System individuell anzupassen und automatisch in neue Rollen zu integrieren. Einstellungen und Template-Variablen lassen sich über ein Configfile steuern, die komplette Dokumentation findet ihr in der Readme des Projektes.

`ansible-roler` steht unter der MIT Lizenz auf [GitHub](https://github.com/xoxys/ansible-roler) sowie [PyPi](https://pypi.org/project/ansible-roler/) zur Verfügung.
